Core - Task # 55349

Epic # 55070 (Accepted): Workpackages

Epic # 54851 (Accepted): WP: Workspaces IRRE & MM bugfixes

Story # 54854 (Accepted): As an editor | want to use a more intuitive workspace module

Status: Resolved Priority: Should have
Author: Oliver Hader Category: Workspaces
Created: 2014-01-27 Assigned To: Oliver Hader
Updated: 2014-03-25 Due date:

TYPO3 Version: 6.2

PHP Version: 5.3

Complexity: medium

Sprint Focus:

Subject: Visualize nested data structures in workspace module

Description

The current workspace module only has two levels (page and the accordant record).
Nested record sets like tt_content -> sys_file_reference (any "text with image" content element) are not recognized as dependent and

need to be published separately. This is basically as user-interface story.

Associated revisions

Revision 27ae1¢79 - 2014-03-25 16:15 - Oliver Hader
[TASK] Visualize nested data structures in workspace module
The current workspace module only has two levels (page and the

accordant records). Nested record sets like tt_content ->

sys_file_reference (any "text with image" content element) are

not recognized as dependent and need to be published separately.

The GridDataService is extended to determine the the accordant
nested record sets and provides additional data for parent and
child scenarios. The ExtJS view components are extended to take
care of nested record sets and to handle expand and collapse

events on these kind of record collections.

Resolves: #55349

Releases: 6.2

Change-Id: 193ca187¢c3997bf7f4cdadefd741be2541aef5ae4
Reviewed-on: https://review.typo3.org/28701

Reviewed-by: Oliver Hader
Tested-by: Oliver Hader

History

#1 - 2014-01-27 09:06 - Oliver Hader
- File view.png added

- File file.png added

- File contentelement.png added
https://review.typo3.org/28701

Task:

Modify meta-data of a referenced image in a regular content element

Overview in workspace module

view.png

Details on modified file/image
file.png

Details on (modified) content element
contentelement.png

#2 - 2014-01-27 09:07 - Oliver Hader
- Status changed from New to Accepted

- Complexity set to medium

#3 - 2014-03-24 09:48 - Oliver Hader
- File ProofOfConcept.png added
- % Done changed from 0 to 30

ProofOfConcept.png

#4 - 2014-03-24 09:48 - Oliver Hader

- Assigned To set to Oliver Hader

#5 - 2014-03-24 13:55 - Oliver Hader
- File Result.png added
- % Done changed from 30 to 70

The current result looks like the following

(integrity check and language icons are moved to the right)

Result.png

#6 - 2014-03-24 14:40 - Oliver Hader
- Subject changed from Visualize dependent parent-child data-structures in the workspace module to Visualize nested data structures in workspace

module
#7 - 2014-03-24 14:47 - Gerrit Code Review

- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28701
#8 - 2014-03-24 15:26 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28701

#9 - 2014-03-24 23:07 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28701

#10 - 2014-03-25 14:16 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28701

#11 - 2014-03-25 16:31 - Oliver Hader
- Status changed from Under Review to Resolved
- % Done changed from 70 to 100

Applied in changeset commit:27ae1c79692a65a8c71712aacdcecc4e2bf12cda.

Files

view.png 35.6 kB 2014-01-27 Oliver Hader
file.png 70 kB 2014-01-27 Oliver Hader
contentelement.png 55 kB 2014-01-27 Oliver Hader
ProofOfConcept.png 79.4 kB 2014-03-24 Oliver Hader
Result.png 78.5 kB 2014-03-24 Oliver Hader
